# Manuale utente di KDE

Lauri
Watts
&Lauri.Watts.mail;
25 febbraio 2005
Ambiente desktop KDE
&kappname;
1

# `ark`

Uno strumento di archiviazione per &kde;

    ark  --extract --extract-to --add --add-to --guess-name  cartella file archivio Opzioni generiche KDE Opzioni generiche Qt

## Descrizione

&kappname; è un programma per gestire vari formati di archivio all'interno dell'ambiente &kde;. Gli archivi possono essere visualizzati, estratti, creati e modificato attraverso &kappname;. Il programma può gestire diversi tipi di formato tra cui tar, gzip, bzip2, zip, rar e lha (se i relativi programmi da riga di comando sono installati). Se installi il plugin di integrazione a &konqueror; disponibile nel pacchetto kdeaddons, &kappname; può lavorare assieme a &konqueror; nell'ambiente &kde; per gestire gli archivi.

## Opzioni

`--extract`

  Apre una finestra di dialogo per l'estrazione dei file ed esce quando ha terminato

`--extract-to cartella archivio`

  Estrae archivio in cartella. Esce quando ha terminato. cartella verrà creata se non esiste.

`--add file`

  Chiede il nome dell'archivio al quale aggiungere i file. Esce quando ha terminato.

`--add-to file archivio`

  Aggiunge file ad archivio. Esce quando ha terminato. archivio verrà creato se non esiste.

`--guess-name cartella archivio`

  Utilizzata con `--extract-to`. Quando specificato, archivio verrà estratto in una sottocartella di cartella il cui nome sarà il nome dell'archivio senza l'estensione.

## Variabili ambiente

$`PATH`

  I programmi da riga di comando necessari per gestire gli archivi con &kappname; devono essere disponibili nel tuo $`PATH`.

## Esempi

``ark` `--extract-to --guess-name` `.` `nome-archivio.tar.bz2``

  Estrae `nome-archivio.tar.bz2` in una cartella chiamata `nome-archivio` nella cartella corrente.

``ark` `--add-to` `*.jpg` `immagini.tar.bz2``

  Aggiunge tutti i file che terminano in *.jpg ad un archivio chiamato `immagini.tar.bz2`, creandolo se non esiste già.

## Vedi anche

tar(1), gzip(1), bzip2(1), zip(1), rar(1), lha(1)

Ulteriore documentazione per l'utente è disponibile presso help:/ark (puoi inserirlo come URL in &konqueror; oppure eseguendo ``khelpcenter` `help:/ark``).

## Autori

Il responsabile di &ark; è Henrique Pinto stampede@coltec.ufmg.br

Questa pagina di manuale è stata scritta da &Lauri.Watts; &Lauri.Watts.mail; per &kde; 3.4.